PROBE::JSON_DATA(3stap)

NAME
probe::json_data - Fires whenever JSON data is wanted by a reader.

SYNOPSIS

json_data

VALUES

None

CONTEXT

This probe fires when the JSON data is about to be read. This probe must gather up data and then call the following macros to output the data in JSON format. First, json_output_data_start() must be called. That call is followed by one or more of the following (one call for each data item): json_output_string_value(), json_output_numeric_value(), json_output_array_string_value(), and json_output_array_numeric_value(). Finally json_output_data_end() must be called.

SEE ALSO
tapset::json(3stap)